﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
using System.Runtime.InteropServices;

namespace info.michlstechblog.unformatClipboardText
{
    // http://stackoverflow.com/questions/6872957/how-can-i-use-the-images-within-shell32-dll-in-my-c-sharp-project
    class IconExtract
    {
        public static Icon ExtractIcon(string file, int iNumber, bool bLargeIcon)
        {
            IntPtr pLarge;
            IntPtr pSmall;
            ExtractIconEx(file, iNumber, out pLarge, out pSmall, 1);
            try
            {
                return Icon.FromHandle(bLargeIcon ? pLarge : pSmall);
            }
            catch
            {
                return null;
            }

        }
        [DllImport("Shell32.dll", EntryPoint = "ExtractIconExW", CharSet = CharSet.Unicode, ExactSpelling = true, CallingConvention = CallingConvention.StdCall)]
        private static extern int ExtractIconEx(string sFile, int iIndex, out IntPtr piLargeVersion, out IntPtr piSmallVersion, int amountIcons);
    }
}
