﻿/*
    unFormatClipboardText
    Copyright (C) 2014 - 2016 Michael Albert <info@michlstechblog.info>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Threading;
using System.Runtime.InteropServices;


namespace info.michlstechblog.unformatClipboardText
{
    static class Program
    {
        [DllImport("user32.dll")][return: MarshalAs(UnmanagedType.Bool)]static extern bool SetForegroundWindow(IntPtr hWnd);
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
               bool createdNew = true;
               using (Mutex mutex = new Mutex(true, "unformatClipboardText", out createdNew))
               {
                   if (createdNew)
                   {
                       Application.EnableVisualStyles();
                       Application.SetCompatibleTextRenderingDefault(false);
                       Application.Run(new MainForm());
                   }
                   else
                   {
                       System.Diagnostics.Debug.WriteLine("Another instance of unformatClipboardText is already running");
                   }
               }

        }
    }
}
