﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace info.michlstechblog.unformatClipboardText
{
    public partial class ShowLogFile : Form
    {
        public bool AutoscrollLogFile { get; set; }
        public int LastScrollpositionTextbox { get; set; }
        public ShowLogFile()
        {
            InitializeComponent();
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        public void HandleTextboxPosition()
        {
            if (AutoscrollLogFile)
            {
                richTextBoxLogFile.SelectionStart = richTextBoxLogFile.TextLength;
                this.LastScrollpositionTextbox = richTextBoxLogFile.SelectionStart;
                // Test = textBoxLogFile.SelectionStart;
                richTextBoxLogFile.ScrollToCaret();
            }
            else
            {
                richTextBoxLogFile.SelectionStart = LastScrollpositionTextbox;
                richTextBoxLogFile.SelectionLength = 1;
                richTextBoxLogFile.ScrollToCaret();
            }
        }
        private void richTextBoxLogFile_SelectionChanged(object sender, EventArgs e)
        {
            if(richTextBoxLogFile.SelectionStart!=0)
                this.LastScrollpositionTextbox = richTextBoxLogFile.SelectionStart;
        }
    }
}
